Menu icon Foundation

Coder | London

My Posts

No Content

My Comments

Stuart McAlpine commented on J.'s post almost 2 years

I was just experiencing similar issues with Yeti Launch.

I found that my bower_components/foundation-sites/.bower.json file was incorrectly using https://github.com/zurb/foundation-sites-6 which only has 1 release (6.0.0 Alpha 1).

 {
  "name": "foundation-sites",
  "main": [
    "css/foundation.css",
    "css/foundation.css.map",
    "js/foundation.js"
  ],
  "ignore": [
    "config",
    "docs",
    "lib",
    "spec"
  ],
  "dependencies": {
    "jquery": ">= 2.1.0",
    "what-input": "~1.1.2"
  },
  "private": true,
  "homepage": "https://github.com/zurb/foundation-sites-6",
  "_release": "299348e091",
  "_resolution": {
    "type": "branch",
    "branch": "develop",
    "commit": "299348e09164934672916af15bef32239bc9adec"
  },
  "_source": "git://github.com/zurb/foundation-sites-6.git",
  "_target": "develop",
  "_originalSource": "zurb/foundation-sites-6"
}

It appears that it should have been using https://github.com/zurb/foundation-sites instead as this has more releases including the most recent 6.0.6 release I wanted.

After reinstalling a freshly-downloaded Yeti Launch app and setting up a new project it now uses the correct repo (6.0.3 release) so instead of fixing the issue I'm just starting again with a new project and copying the files into it.

To force-update to the latest version you can try:

bower update foundation-sites -F

It now works OK for me. :)

Posts Followed


Following

    No Content

Followers

My Posts

No Content

My Comments

You commented on J.'s post almost 2 years

I was just experiencing similar issues with Yeti Launch.

I found that my bower_components/foundation-sites/.bower.json file was incorrectly using https://github.com/zurb/foundation-sites-6 which only has 1 release (6.0.0 Alpha 1).

 {
  "name": "foundation-sites",
  "main": [
    "css/foundation.css",
    "css/foundation.css.map",
    "js/foundation.js"
  ],
  "ignore": [
    "config",
    "docs",
    "lib",
    "spec"
  ],
  "dependencies": {
    "jquery": ">= 2.1.0",
    "what-input": "~1.1.2"
  },
  "private": true,
  "homepage": "https://github.com/zurb/foundation-sites-6",
  "_release": "299348e091",
  "_resolution": {
    "type": "branch",
    "branch": "develop",
    "commit": "299348e09164934672916af15bef32239bc9adec"
  },
  "_source": "git://github.com/zurb/foundation-sites-6.git",
  "_target": "develop",
  "_originalSource": "zurb/foundation-sites-6"
}

It appears that it should have been using https://github.com/zurb/foundation-sites instead as this has more releases including the most recent 6.0.6 release I wanted.

After reinstalling a freshly-downloaded Yeti Launch app and setting up a new project it now uses the correct repo (6.0.3 release) so instead of fixing the issue I'm just starting again with a new project and copying the files into it.

To force-update to the latest version you can try:

bower update foundation-sites -F

It now works OK for me. :)

Posts Followed


Following

  • No Content

Followers

  • No Content